diff --git a/doc/src/sgml/release-17.sgml b/doc/src/sgml/release-17.sgml
index e4b34d827d1..08238be9cb7 100644
--- a/doc/src/sgml/release-17.sgml
+++ b/doc/src/sgml/release-17.sgml
@@ -1893,8 +1893,6 @@ This is similar to PQpipelineSync() but it does not flush to the server unless t
 <!--
 Author: Tom Lane <tgl@sss.pgh.pa.us>
 2024-04-06 [4643a2b26] Support retrieval of results in chunks with libpq.
-Author: Tom Lane <tgl@sss.pgh.pa.us>
-2024-04-06 [90f517821] Re-implement psql's FETCH_COUNT feature atop libpq's chu
 -->
 
 <listitem>
@@ -1937,6 +1935,17 @@ This is enabled with the client-side option sslnegotation=direct, requires ALPN,
 
      <itemizedlist>
 
+<!--
+Author: Tom Lane <tgl@sss.pgh.pa.us>
+2024-04-06 [90f517821] Re-implement psql's FETCH_COUNT feature atop libpq's chu
+-->
+
+<listitem>
+<para>
+Allow FETCH_COUNT to work with non-SELECT queries (Daniel Vérité)
+</para>
+</listitem>
+
 <!--
 Author: Tom Lane <tgl@sss.pgh.pa.us>
 2023-11-13 [d1379ebf4] Improve default and empty privilege outputs in psql.
